summaryrefslogtreecommitdiff
path: root/tests/installed-tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests/installed-tests')
-rwxr-xr-xtests/installed-tests17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/installed-tests b/tests/installed-tests
new file mode 100755
index 00000000..3686b24b
--- /dev/null
+++ b/tests/installed-tests
@@ -0,0 +1,17 @@
+#!/bin/sh
+# autopkgtest check: Run the installed-tests to verify pango works correctly
+# (C) 2013 Canonical Ltd.
+# Author: Iain Lane <iain.lane@canonical.com>
+
+set -e
+
+export XDG_RUNTIME_DIR="$AUTOPKGTEST_TMP"
+
+debian/tests/run-with-locales \
+ --generate en_US.utf8 \
+ -- \
+env \
+ LC_ALL=en_US.utf8 \
+dbus-run-session -- \
+xvfb-run -a \
+gnome-desktop-testing-runner pango